*{
    color: whitesmoke;
}
/*alinha as coisas*/
.in{
    border-radius: 0%;
}
#home {
    color: whitesmoke;
    
}
.sec{
    height: auto;
    width: auto;
    height: 1000px;
}
.seb{
  height: auto;
  width: auto;
  height: auto;
  background: url(./img/Ti-PhotoRoom.png-PhotoRoom.png) center no-repeat ;
}
.esp{
    padding: 60px 0;
    border-bottom: 1px solid white;
}
.bor{
    border-bottom: 1px solid whitesmoke;
}
.h{
  font-size: 100px; 
  margin-top: 7%;
  z-index: 2;
}
.tex{
    padding-top: 100px;
    padding-left: 50px;
}
body{
    background-color: black;
}
/*animação elastica */
.elastico:hover{
    color: #08fdd8;
    animation : rubberband 800ms alternate ease-out;
    animation-name: rubberband;
}
/*animação elastica */
.elastico{
  opacity: 1;
  z-index: 1;
  display: inline-block;
  -webkit-transition: all 0.3s ease-out;
  -o-transition: all 0.3s ease-out;
  transition: all 0.3s ease-out;
  animation-iteration-count: 1;
  margin: 0;
}

.elasticando {
  animation : rubberband 800ms alternate ease-out;
}
@keyframes rubberband {
    0%{
        transform: scaleX(1);
    }
    40%{
        transform: scaleX(1.12) scaleY(0.75);
    }
    55%{
        transform: scaleX(0.85) scaleY(1);
    }
    65%{
        transform: scaleX(1.09) scaleY(0.85);
    }
    75%{
        transform: scaleX(0.9)  scaleY(1);
    }
    90%{
        transform: scaleX(1.05) scaleY(0.95);
    }
    100%{
        transform: scaleX(1) scaleY(1);
    }
}
/*writer */
.write0{
    overflow: hidden;
    font-size: 20px;
    white-space: nowrap;
    margin: 0 auto;
    text-align: center;
    visibility: hidden  4s;
    color: #8a8a8a;
    z-index: 100
  }
  
  .linha1{
    justify-content: center;
    align-items: center;
    margin-left: 0%;
    display: block;
  }
  
  /**tempo que dura cada writing*/
  .escrevendo{
    animation: typewriter 4s steps(40) 3s ,
    
      blink 500ms steps(40) infinite normal;
  }
  .escrevendo2{
    animation: typewriter 4s steps(40) 7s ,
      blink 500ms steps(40) infinite normal;
  }
  .escrevendo3{
    animation: typewriter 4s steps(40) 11s ,
      blink 500ms steps(40) infinite normal;
  }
  /*tempo que dura cada writing*/
  /*sumiu e apareceu*/
  #aparece{
    visibility: hidden;
    margin-top: 100px;
  }
  #set{
    visibility: hidden;
  }
  #yes{
    visibility: hidden;
    border-right: 2px solid white;
    width: 65%;
  }
  /*sumiu e apareceu*/
  @keyframes typewriter {
    from {
      width: 0%;
    }
    to {
      width: 50%;
    }
  }
  @keyframes blink {
    from {
      border-color: white;
    }
    to {
      border-color: transparent;
    }
  }
  /*writer */
  /*footer */
  .esp{
    padding: 25px 0;
    border-bottom: 1px solid white;
  }
  .bor{
    border-bottom: 1px solid whitesmoke;
  }
  .list{
    cursor: pointer;
    font-size: 14px;
    line-height: 2.14;
    letter-spacing: -.3px;
    color: #666;
    transition: color .12s linear;
  }
  .list:hover{
    color: #08fdd8;
  }
  .ti{
    font-size: 20px;
    font-weight: 300;
    line-height: 22px;
    padding: 15px 0;
    position: relative;
    text-transform: uppercase;
    margin: 0;
    letter-spacing: 2px;
    display: inline-block;
    font-size: 15px;
  }
  /*footer */

  .bd-placeholder-img {
    font-size: 1.125rem;
    text-anchor: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
  }

  @media (max-width: 768px) {
    .bd-placeholder-img-lg {
      font-size: 3.5rem;
      margin-top: 20%;
    }
  }
  @media (max-width: 988px) {
    .h {
      font: weight 50px; 
      font-size: 80px;
      margin-top: 30%;
    }
  }
  @media (max-width: 530px) {
    .h {
      font: weight 50px; 
      font-size: xx-large;
      margin-top: 65%;
      font-size: 56px;
    }
  }


  .b-example-divider {
    width: 100%;
    height: 3rem;
    background-color: rgba(0, 0, 0, .1);
    border: solid rgba(0, 0, 0, .15);
    border-width: 1px 0;
    box-shadow: inset 0 .5em 1.5em rgba(0, 0, 0, .1), inset 0 .125em .5em rgba(0, 0, 0, .15);
  }

  .b-example-vr {
    flex-shrink: 0;
    width: 1.5rem;
    height: 100vh;
  }

  .bi {
    vertical-align: -.125em;
    fill: currentColor;
  }

  .nav-scroller {
    position: relative;
    z-index: 2;
    height: 2.75rem;
    overflow-y: hidden;
  }

  .nav-scroller .nav {
    display: flex;
    flex-wrap: nowrap;
    padding-bottom: 1rem;
    margin-top: -1px;
    overflow-x: auto;
    text-align: center;
    white-space: nowrap;
    -webkit-overflow-scrolling: touch;
  }

  .btn-bd-primary {
    --bd-violet-bg: #712cf9;
    --bd-violet-rgb: 112.520718, 44.062154, 249.437846;

    --bs-btn-font-weight: 600;
    --bs-btn-color: var(--bs-white);
    --bs-btn-bg: var(--bd-violet-bg);
    --bs-btn-border-color: var(--bd-violet-bg);
    --bs-btn-hover-color: var(--bs-white);
    --bs-btn-hover-bg: #6528e0;
    --bs-btn-hover-border-color: #6528e0;
    --bs-btn-focus-shadow-rgb: var(--bd-violet-rgb);
    --bs-btn-active-color: var(--bs-btn-hover-color);
    --bs-btn-active-bg: #5a23c8;
    --bs-btn-active-border-color: #5a23c8;
  }
  .bd-mode-toggle {
    z-index: 1500;
  }
/* teste*/
.txt{
  margin-top: 30px;
  margin-bottom: 20px;
  font-size: 14px;
  line-height: 2.14;
  letter-spacing: -.3px;
  color: #666;
  transition: color .12s linear;
}
.card-text{
  color: whitesmoke;
}
.descricao {
  padding:2px;
  line-height:20px;
  color:red;
  opacity: 0;
  -webkit-transition: all 300ms ease;
  -moz-transition: all 300ms ease;
  -ms-transition: all 300ms ease;
  -o-transition: all 300ms ease;
  transition: all 300ms ease;
 }
 .descricao::after{
  content: "";
  width: 100%;
  height: 50%;
  right: 0%;
  bottom: 0;
  position: absolute;
  background: linear-gradient(0deg,rgba(0,0,0,0.95) 0%,transparent 100%);
}
 a:hover  .descricao {
  opacity: 1;
  visibility: visible;
 }
 .zoom{
  overflow: hidden;
  width: 100%;
  height: 100%;
  border-width: 0.5px;
  border-color: var(--bs-border-color-translucent);
  border-radius: 0.375rem;
  border-bottom: transparent;
}
 .zoom img:hover {
  -moz-transform: scale(1.1);
  -webkit-transform: scale(1.1);
  transform: scale(1.1);
  -webkit-transition: all 400ms ease;
  -moz-transition: all 400ms ease;
  -ms-transition: all 400ms ease;
  -o-transition: all 400ms ease;
  transition: all 400ms ease;
} 
 /* teste*/
 /*artigos */
.artigos{
  padding: 3rem 3rem 2.5rem;
  position: relative;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  margin-bottom: 4rem;
  -webkit-box-align: start;
  -ms-flex-align: start;
  align-items: flex-start;
  width: 48%;
  -webkit-box-shadow: 0 2px 4px -1px rgba(0,0,0,0.2), 0 4px 5px 0 rgba(0,0,0,0.14), 0 1px 10px 0 rgba(0,0,0,0.12);
  box-shadow: 0 2px 4px -1px rgba(0,0,0,0.2), 0 4px 5px 0 rgba(0,0,0,0.14), 0 1px 10px 0 rgba(0,0,0,0.12);
  border-top: 2px solid #FD2155;
  overflow: hidden;
}
.blog{
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
}
/*artigos */
/*about */
.lin{
  width: 0;
  height: 100%;
  z-index: 5;
  background-color: #08fdd8;
  -webkit-transition: width 1.3s ease-out;
  -o-transition: width 1.3s ease-out;
  transition: width 1.3s ease-out;
}
.work{
  width: 50%;
  background: #2a2a2a;
  padding: 2rem;
}
@media (max-width: 1030px) {
  .work {
    width: 38%;
  }
}
/*home */
.voa{
  filter: blur(6px);
  right: -5%;
  z-index: 0;
  bottom: -10%;
  transition: all .5s;
  animation: 15s infinite floating;
  transform: rotate(5deg);
  
}
@keyframes floating{
  0%, 100%{
    transform: translatey(60px) rotate(5deg);
  }
  50%{
    transform: translatey(-60px) rotate(-5deg);
  }
}
.but{
  background-color: #bcfff7;
  color: #2a2a2a;
  height: 56px;
  border: none;
  width: 60%;
  height: 65px;
  transition: all .8s;
}
.butao{
  animation: 3.4s infinite brilho;
  background-image: linear-gradient(45deg, rgb(56, 116, 207), #07ffe1,rgb(56, 116, 207), #07ffe1);
  background-size: 400% 200%;
  transition: background 1.6s all;
}
@keyframes brilho{
  0%{
    background-position: 0 0;
  }
  100%{
    background-position: 100% 0;
  }
}
#port{
 color: white;
}

/* bubles */

/*sobre-mim*/
.apresentacao{
  padding: 5% 15%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 82px;
}
.apresentacaoconteudo{
  width: 50%;
  display: flex;
  flex-direction: column;
  gap: 40px;
}

.apresentacaoconteudotitulo{
  font-size: 2.25rem;
  font-family: #000000;
}
.titulodestaque{
  color: #08fdd8;
}
.apresentacaoconteudotexto{
  font-size: 1.5rem;
  color: #c4bebe;
  font-family: var(--fonte-secundaria);
}

.apresentacaolinks{
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  gap: 32px;
}
.apresentacaolinkssubtitulo{
  font-family: #000000;
  font-weight: 400;
  font-size: 1.5rem;
}
.apresentacaolinksnavegacao{
  display: flex;
  justify-content: center;
  gap: 16px;
  border: 2px solid #08fdd8;
  width: 69%;
  text-align: center;
  border-radius: 8px;
  font-size: 1.5rem;
  font-weight: 600;
  padding: 21.5px 0;
  text-decoration: none;
  color: whitesmoke;
}
.apresentacaolinkslink:hover{
  background-color: #272727;
}
.apresentacaoimagem{
  width: 50%;
}
/*sobre-mim*/


/*efeito*/

.sobrea {
  position: relative;
  transition: all .35s;
}
.sobrea span {
  position: relative;
  z-index: 2;
}
.sobrea:after{
  position: absolute;
  content: "";
  top: 0;
  left: 0;
  width: 0;
  height: 100%;
  background: black;
  transition: all .35s;
}  
a span:hover{
  color: #08fdd8;
}
.sobrea:hover:after{
  width: 100%;
}
/*efeito*/



/*responsive*/
@media (max-width: 1200px) {
  .apresentacao{
      flex-direction: column-reverse;
      padding: 5%;
  }
  .apresentacaoconteudo{
      width: auto;
  }
}
/*responsive*/

